inc += include_directories('.')

headers = [ 
  'ui_layer/ui_layer.hpp',
  'ui_layer_double/ui_layer_double.hpp',
]

sources = [ 
  'ui_layer/ui_layer.cpp',
  'ui_layer_double/ui_layer_double.cpp',
]

lib = library(
  'vertex_engine_sandbox',
  include_directories : inc,
  sources: [headers, sources],
  dependencies : deps,
  cpp_args: args
)

deps += declare_dependency(
  include_directories: inc, 
  link_with: lib, 
)
